/**
 * 
 */
package de.mpc.prolic.exceptions;

/**
 * Exception, which is thrown if not enough files are given in the input directory
 * @author Michael Kohl
 *
 */
public class InsufficientFileNumberException extends RuntimeException {


	/**
	 * 
	 */
	private static final long serialVersionUID = 475971513244772477L;

	/**
	 * Empty Constructor
	 */
	public InsufficientFileNumberException() {

	}

	/**
	 * @param message
	 */
	public InsufficientFileNumberException(String message) {
		super(message);
	}

	/**
	 * @param cause
	 */
	public InsufficientFileNumberException(Throwable cause) {
		super(cause);
	}

	/**
	 * @param message
	 * @param cause
	 */
	public InsufficientFileNumberException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * @param message
	 * @param cause
	 * @param enableSuppression
	 * @param writableStackTrace
	 */
	public InsufficientFileNumberException(String message, Throwable cause,
			boolean enableSuppression, boolean writableStackTrace) {
		super(message, cause, enableSuppression, writableStackTrace);
	}

}
