/**
 * 
 */
package de.mpc.prolic.exceptions;

/**
 * Exception, which is thrown if no percent identity was calculated during the sequence based comparison
 * @author Michael Kohl
 *
 */
public class NoPercentIdentityValueComputedException extends RuntimeException {


	/**
	 * 
	 */
	private static final long serialVersionUID = -1497419306742874016L;

	/**
	 * 
	 */
	public NoPercentIdentityValueComputedException() {
		
	}

	/**
	 * @param message
	 */
	public NoPercentIdentityValueComputedException(String message) {
		super(message);
	}

	/**
	 * @param cause
	 */
	public NoPercentIdentityValueComputedException(Throwable cause) {
		super(cause);
	}

	/**
	 * @param message
	 * @param cause
	 */
	public NoPercentIdentityValueComputedException(String message,
			Throwable cause) {
		super(message, cause);
	}

	/**
	 * @param message
	 * @param cause
	 * @param enableSuppression
	 * @param writableStackTrace
	 */
	public NoPercentIdentityValueComputedException(String message,
			Throwable cause, boolean enableSuppression,
			boolean writableStackTrace) {
		super(message, cause, enableSuppression, writableStackTrace);
	}

}
