/**
 * 
 */
package de.mpc.prolic.model;

/**
 * @author Michael Kohl
 *
 */
public class Sample {
	
	/*******************************************************************************
	 * Members
	 ******************************************************************************/		
	private String identifier; 			//The identifier string for this sample	
	private double regulation;			/*Each sample instance can store information about its regulation, which is calculated from a comparison of 
										some kind of metrics between different conditions of this biomolecule*/

	/**
	 * Empty constructor
	 */
	public Sample() {
	}
	
	/*******************************************************************************
	 * Setter and Getter
	 ******************************************************************************/
	
	public String getIdentifier(){
		return this.identifier;
	}
	
	public void setIdentifier(String identifier_){
		this.identifier=identifier_;
	}
	
	public double getRegulation(){
		return this.regulation;
	}
	
	public void setRegulation(double regulation_){
		regulation = regulation_;
	}		

}
